# Codecaster
*Empower Your Typing, Cast Your Spells*

The Codecaster is both a custom keyboard and its firmware.

The Codecaster keyboard is the development keyboard that the firmware will
initially officially support. As time moves on this will expand to allow
for more keyboards and eventually other target platforms (microcontrollers).

## Firmware
The firmware is written in Rust. It uses [embedded-hal][HAL] to create
an async abstraction for the MCU this is then combined with our keyboard
model.

[HAL]: https://github.com/rust-embedded/embedded-hal

### Building

### Flashing

## Keyboard
The Codecaster is a 38 key split keyboard. It will have per key RGB and
underlighting. It will have some form of battery meter, LEDs or display
has not been determined yet.

### Platform
The initial target platform (microcontroller) will be the nRF52,
specifically the nice!nano v2. This will allow the Codecaster keyboard
to be wireless.
